Jump to content

Template:CreatureInfobox/styles.css: Difference between revisions

From Creature Breeder Wiki
No edit summary
No edit summary
Line 72: Line 72:
}
}


#female-toggle:checked ~ .female-input label {
.ci-fem-tab {
   background-color: #C86CBC;
   background-color: #C86CBC;
   color: #fff;
   color: #fff;
}
}


#male-toggle:checked ~ .male-input label {
.ci-male-tab {
   background-color: #598ADB;
   background-color: #598ADB;
   color: #fff;
   color: #fff;

Revision as of 22:58, 17 April 2026

.creature-infobox {
  width: 20em;
  float: right;
  box-sizing: border-box;
  border: solid 2px #000;
  margin: 0 1em 0 0;
  background-color: #D3D3D3;
  color: #000;
}

@media screen {
	html.skin-theme-clientpref-night .creature-infobox {
      border: solid 2px #fff;
      background-color: #414141;
      color: #fff;
    }
}

.creature-name-hd {
  font-size: 1.2em;
  font-weight: bold;
  text-align: center;
  background-color: #B1B1B1;
  color: #000;
}

@media screen {
	html.skin-theme-clientpref-night .creature-name-hd {
      background-color: #232323;
      color: #fff;
    }
}

.creature-imgs {
  margin: auto;
  text-align: center;
}

.creature-imgs img {
  max-height: 15em;
  width: auto;
  margin: auto;
}

.creature-imgs input[type="radio"] {
  position: absolute;
  opacity: 0;
}

@media screen {
	html.skin-theme-clientpref-night .gender-input {
      border: 1px solid #fff;
    }
}

.ci-tab {
  display: inline-block;
  padding: 5px 8px;
  background-color: #BFBFBF;
  color: #000;
  border: 1px solid #ccc;
  cursor: pointer;
  border-radius: 4px;
}

@media screen {
	html.skin-theme-clientpref-night .gender-input label {
    background-color: #575757;
    color: #fff;
    border: 1px solid #ccc;
  }
}

.ci-fem-tab {
  background-color: #C86CBC;
  color: #fff;
}

.ci-male-tab {
  background-color: #598ADB;
  color: #fff;
}

.creature-ib-fem-img {
  display: none;
}

.creature-ib-male-img {
  display: none;
}

#female-toggle:checked ~ .creature-ib-fem-img {
  display: block;
}

#female-toggle:checked ~ .creature-ib-male-img {
  display: none;
}

#male-toggle:checked ~ .creature-ib-fem-img {
  display: none;
}

#male-toggle:checked ~ .creature-ib-male-img {
  display: block;
}